/*
   This program is provided under the LGPL license ver 2.
   Written by Katsumi.
   http://hp.vector.co.jp/authors/VA016157/
   kmorimatsu@users.sourceforge.jp
*/

#define MAIN
#include "main.h"

// Clock settings
// SYSCLK = 40 Mhz, PBCLK = 40 Mhz.

// Primary oscillator not used.
#pragma config POSCMOD = OFF
// Fast RC Osc with PLL (~8 MHz)
#pragma config FNOSC = FRCPLL
// Div 2 to make 4 MHz
#pragma config FPLLIDIV = DIV_2
// Mul 24 to make 80 MHz
#pragma config FPLLMUL = MUL_20
// Div 2 to make 40 MHz
#pragma config FPLLODIV = DIV_2
// PBCLK = SYSCLK
#pragma config FPBDIV = DIV_1

// MISC disabled
#pragma config FSOSCEN = OFF
#pragma config IESO = OFF
#pragma config OSCIOFNC = OFF
#pragma config FCKSM = CSDCMD
#pragma config JTAGEN = OFF
#pragma config ICESEL = ICS_PGx1
#pragma config DEBUG = OFF
#pragma config PMDL1WAY = OFF
#pragma config IOL1WAY = OFF
#pragma config FUSBIDIO = OFF
#pragma config FVBUSONIO = OFF

// WDT disabled
#pragma config WDTPS = PS1, FWDTEN = OFF, WINDIS = OFF, FWDTWINSZ = WISZ_25

// protection all off
#pragma config PWP = OFF, BWP = OFF, CP = OFF


void main(){
	long i;
	// Weak pull up for RB3
	CNPUB=0x08;
	// RA0, RA1, RB2, RB3: digital inputs but not analog ones
	ANSELA=0x1C;
	ANSELB=0xF3;
	TRISA=0x1F;
	// Initialize interface (TRISB will be also set here.)
	init_led();
	// Make RAM executable.
	mBMXSetRAMKernProgOffset(0x700);
	mBMXSetRAMUserDataOffset(0x2000);
	mBMXSetRAMUserProgOffset(0x2000);
	// Other initializations
	INTEnableSystemSingleVectoredInt();
	INTEnableSystemMultiVectoredInt();

	init_mon();
	monitor();
}

