/*
   This program is provided under the LGPL license ver 2.
   Written by Katsumi.
   http://hp.vector.co.jp/authors/VA016157/
   kmorimatsu@users.sourceforge.jp
*/

#include <p32xxxx.h>
#include <plib.h>

//#define TIMER1LEN 13
#define TIMER1LEN 13
#define TIMR1HSTEP (1<<TIMER1LEN)

/* Global variables follow */

#ifdef MAIN
	unsigned char SUBS[0x100] __attribute__((address(0xA0000700))); // 256 bytes
	unsigned char RAM[0x1800] __attribute__((persistent,address(0xA0000800))); // 6KB RAM
	const unsigned char PROG[0x6000] __attribute__((address(0x9D002000)))={0}; // 24KB PROG region
	volatile unsigned long g_timer1;
	volatile unsigned long g_TMR1h;
	volatile unsigned char g_keymatrix[3];
#else
	extern unsigned char SUBS[0x100];
	extern unsigned char RAM[0x1800];
	extern const unsigned char PROG[0x6000];
	extern volatile unsigned long g_timer1;
	extern volatile unsigned long g_TMR1h;
	extern volatile unsigned char g_keymatrix[3];
#endif

/* Prototyping */

void main();

void init_led();
void timer1Int();

void init_mon();
void monitor();


